SASL_AUTHORIZE_T(3)

NAME
sasl_authorize_t - Cyrus SASL documentation

SYNOPSIS

#include <sasl/sasl.h>

int sasl_authorize_t(void *context,
                    const char *requested_user, unsigned alen,
                    const char *auth_identity, unsigned alen,
                    const char *def_realm, unsigned urlen,
                    struct propctx *propctx)

DESCRIPTION

sasl_authorize_t is used to check whether the authorized user auth_identity may act as the user requested_user. For example the user root may wish to authenticate with his credentials but act as the user mmercer (with all of mmercer’s rights not roots). A server application should be very careful, and probably err on the side of caution, when determining which users may proxy as whom.

RETURN VALUE

SASL callback functions should return SASL return codes. See sasl.h for a complete list. SASL_OK <#c.SASL_OK> indicates success.

SEE ALSO

sasl(3) <#std-saslman-sasl-3>, sasl_callbacks(3) <#std-saslman-sasl_callbacks-3>

Author
The Cyrus Team

Copyright
1993-2016, The Cyrus Team